Package org.apache.calcite.avatica

# Enum AvaticaSeverity

java.lang.Object
java.lang.Enum<AvaticaSeverity>
org.apache.calcite.avatica.AvaticaSeverity

All Implemented Interfaces:
  `Serializable`, `Comparable<AvaticaSeverity>`, `java.lang.constant.Constable`

public enum AvaticaSeverity extends Enum<AvaticaSeverity>
An enumeration that denotes the severity of a given unexpected state.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
The result of an action resulted in an error which the current operation cannot recover from.
`FATAL`
The system has been left in an unrecoverable state as a result of an operation.
`UNKNOWN`
The severity of the outcome of some unexpected state is unknown.
`WARNING`
The operation completed successfully but a message was generated to warn the client about some unexpected state or action.

## Method Summary

Modifier and Type
Method
Description
`static AvaticaSeverity`
`fromProto(org.apache.calcite.avatica.proto.Common.Severity proto)`
`int`
`getValue()`
`org.apache.calcite.avatica.proto.Common.Severity`
`toProto()`
`static AvaticaSeverity`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AvaticaSeverity[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final AvaticaSeverity UNKNOWN
The severity of the outcome of some unexpected state is unknown.

### FATAL

public static final AvaticaSeverity FATAL
The system has been left in an unrecoverable state as a result of an operation.

### ERROR

public static final AvaticaSeverity ERROR
The result of an action resulted in an error which the current operation cannot recover from. Clients can attempt to execute the operation again.

### WARNING

public static final AvaticaSeverity WARNING
The operation completed successfully but a message was generated to warn the client about some unexpected state or action.

## Method Details

### values

public static AvaticaSeverity[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AvaticaSeverity valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()

### toProto

public org.apache.calcite.avatica.proto.Common.Severity toProto()

### fromProto

public static AvaticaSeverity fromProto(org.apache.calcite.avatica.proto.Common.Severity proto)